<Input::ContainerGroup
  @isMainValue={{true}}
  @title={{@title}}
  @rawTitle={{@title}}
  @onSave={{this.save}}
  @onCancel={{@onCancel}}
  @onEdit={{@onEdit}}
  @editablePanel={{@editablePanel}}
  @savingPanel={{@savingPanel}}
  class='container-group-text'
  as |isEdit|
>
  <div
    {{did-insert this.setupRows}}
    {{did-update this.setupRows @value}}
    class='manage-slide-rows'
  >
    {{#each this.rows as |row index|}}
      <div class='page-row border-bottom pb-2 pt-2'>
        <div class='page-cols row'>
          {{#each row as |col|}}
            <div class='col col-12 col-md-6'>
              {{#if isEdit}}
                <Manage::PageCol @value={{col}} @onChange={{this.changeCol}} />
              {{else}}
                <View::Preview @value={{col}} />
              {{/if}}
            </div>
          {{/each}}
        </div>

        {{#if isEdit}}
          <button
            type='button'
            class='btn btn-secondary btn-delete-row'
            {{on 'click' (fn this.deleteRow index)}}
          >
            <FaIcon @icon='minus' />
            {{t 'Row'}}
          </button>
        {{/if}}
      </div>
    {{/each}}

    {{#if isEdit}}
      <button
        type='button'
        class='btn btn-primary btn-add-row mt-2'
        {{on 'click' this.addRow}}
      >
        <FaIcon @icon='plus' />
        {{t 'Row'}}
      </button>
    {{/if}}
  </div>
</Input::ContainerGroup>